## grendel.widgets
Interface HeaderRenderer

All Known Implementing Classes:
  DefaultHeaderRenderer

public abstract interface HeaderRenderer

Field Summary
`static int` | `DEPRESSED`
`static int` | `DRAGGING`
`static int` | `NORMAL`
`static int` | `SELECTED`

Method Summary
`java.awt.Component` | `getComponent()`
`void` | `setValue(Column aValue, int aState)`

Field Detail

### NORMAL

    public static final int NORMAL

### DEPRESSED

    public static final int DEPRESSED

### SELECTED

    public static final int SELECTED

### DRAGGING

    public static final int DRAGGING

Method Detail

### setValue

    public void setValue(Column aValue,
                         int aState)

### getComponent

    public java.awt.Component getComponent()